# API v2 Reference

- [Bodies](https://docs.astronomyapi.com/endpoints/bodies.md): Get celestial body information for the given latitude, longitude and date/time.
- [Positions](https://docs.astronomyapi.com/endpoints/bodies/positions.md): Celestial body positions API
- [Events](https://docs.astronomyapi.com/endpoints/bodies/events.md): Get celestial events for a given body for the given date range.
- [Studio](https://docs.astronomyapi.com/endpoints/studio.md): Astronomy API Studio enables you to generate images and charts based on data you provide.
- [Star Chart](https://docs.astronomyapi.com/endpoints/studio/star-chart.md): Generates a star chart with the given parameters, and returns the url.
- [Moon Phase](https://docs.astronomyapi.com/endpoints/studio/moon-phase.md): Generate an image of the Moon based on the given parameters.
- [Search](https://docs.astronomyapi.com/endpoints/search.md): Search for stars and deep space objects.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.astronomyapi.com/endpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
